Skip to main content
POST
Start a test of a browser game on your PC

Authorizations

Authorization
string
header
required

An API key (pch_...) or the token from pch login.

Path Parameters

owner
string
required
Example:

"patch"

slug
string
required
Example:

"demo-mod"

version
string
required
Example:

"0.1.0"

Response

object | null

The test, waiting

The newest test, for browser games

id
string<uuid>
required
project
string
required
version
string
required
state
enum<string>
required

waiting for Patch Desktop on your PC, running, recorded (waiting for your agent's review of the footage), passed, failed, couldnt_run (start another) or cancelled

Available options:
waiting,
running,
recorded,
passed,
failed,
couldnt_run,
cancelled
runs
integer
required
minutes
integer
required
pc_name
string | null
required
progress
object | null
required
outcome
object | null
required
results
object[]
required
review
object | null
required
created_at
string
required
claimed_at
string | null
required
finished_at
string | null
required